Bug 19830 - Add the Koha::Patron->old_checkout method
Summary: Add the Koha::Patron->old_checkout method
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19599
  Show dependency treegraph
 
Reported: 2017-12-18 17:29 UTC by Jonathan Druart
Modified: 2018-01-16 13:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19830: Add the Koha::Patron->old_checkouts method (4.59 KB, patch)
2017-12-18 17:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19830: Add the Koha::Patron->old_checkouts method (4.63 KB, patch)
2017-12-21 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-18 17:29:22 UTC

    
Comment 1 Jonathan Druart 2017-12-18 17:33:51 UTC
Created attachment 69859 [details] [review]
Bug 19830: Add the Koha::Patron->old_checkouts method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
must return green
Comment 2 Kyle M Hall 2017-12-21 15:53:38 UTC
Created attachment 70059 [details] [review]
Bug 19830: Add the Koha::Patron->old_checkouts method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
must return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Kyle M Hall 2017-12-21 15:54:37 UTC
Going directly to PQA. Reset back to signed-off if you feel this needs another set of eyes.
Comment 4 Jonathan Druart 2017-12-21 16:25:00 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-01-15 13:20:25 UTC
Awesome work all! Pushed to stable for 17.11.02
Comment 6 Fridolin SOMERS 2018-01-15 15:47:36 UTC
Enhancement not pushed to 17.05.x
Comment 7 Fridolin SOMERS 2018-01-16 13:27:13 UTC
(In reply to Fridolin SOMERS from comment #6)
> Enhancement not pushed to 17.05.x

I've changed my mind and push to 17.05.x for v17.05.08 in order to push Bug 19599